de.vc.jfo.importer

## Class ImportParameters

- java.lang.Object
- - de.vc.jfo.importer.ImportParameters

-     public class ImportParameters
      extends java.lang.Object

  Parameters that are used when converting into XSL-FO format.
  See Also:
    `RTFImporter.getConfiguration()`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportParameters()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FontMapper` | `getFontMapper()` Gets the font mapping.
    `java.lang.String` | `getImagePath()` Gets the directory where imported images are stored.
    `java.io.File` | `getImagePathFile()` Gets the directory where imported images are stored.
    `void` | `setFontMapper(FontMapper fontMapper)` Sets the font-mapper.
    `void` | `setImagePath(java.io.File imagePath)` Sets the directory where imported images are stored.
    `void` | `setImagePath(java.lang.String imagePath)` Sets the directory where imported images are stored.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportParameters

          public ImportParameters()

  - ### Method Detail

    - #### getFontMapper

          public FontMapper getFontMapper()

      Gets the font mapping.
      Returns:
        Font mapper or null.
      See Also:
        `JFOConfig.getDefaultFontMapper()`

    - #### setFontMapper

          public void setFontMapper(FontMapper fontMapper)

      Sets the font-mapper. Some importers dont't use font-mapping.
      Parameters:
        `fontMapper` - New font-mapping or null to use the default mapping as defined in JFOConfig.
      See Also:
        `JFOConfig.getDefaultFontMapper()`

    - #### setImagePath

          public void setImagePath(java.lang.String imagePath)

      Sets the directory where imported images are stored. Note, this directory is only needed if image-treatment is external.
      Parameters:
        `imagePath` - Absolute path to image directory.

    - #### setImagePath

          public void setImagePath(java.io.File imagePath)

      Sets the directory where imported images are stored. Note, this directory is only needed if image-treatment is external.
      Parameters:
        `imagePath` - Absolute path to image directory.

    - #### getImagePath

          public java.lang.String getImagePath()

      Gets the directory where imported images are stored.
      Returns:
        Absolute path of images.

    - #### getImagePathFile

          public java.io.File getImagePathFile()

      Gets the directory where imported images are stored.
      Returns:
        Absolute path of images.

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.